/*  alltel.h -- Header file for the alltel kernel module
    Copyright (C) 2000  Shane Wegner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    To contact the author, please write to Shane Wegner, 10425 140B st,
    Surrey BC, V3T 4N9 Canada or email shane@cm.nu. */

/* $Id: alltel.h,v 1.9 2000/05/19 20:03:50 shane Exp $ */

#ifndef ALTEL_H
#define ALLTEL_H

#ifdef __KERNEL__
#include <linux/ioctl.h>
#endif

struct alltel_event
{
struct timeval al_time; /* time of the event */
unsigned char al_isready : 1;
unsigned char al_dtmf : 1;
unsigned char al_loopbreak : 1;
unsigned char al_offhook : 1;
char al_digit; /* Only valid if al_dtmf is set */
};

/* Defines for the ioctl(2) call */
#define ALLTEL_IOC_MAGIC 0xfa
/* Retrieve an event immediately */
#define ALLTEL_IOCGSTATUS _IOR(ALLTEL_IOC_MAGIC, 0, struct alltel_event)

#endif /* ALLTEL_H */
